onEvent('recipes', (event) => {

    const id_prefix = 'create:kubejs/splashing';

    const recipes = [
        {
            output: 'tconstruct:clear_glass', 
            input: 'minecraft:glass',
            id: 'clear_glass'
        },
        {
            output: ['4x atum:nebu_drop', Item.of('2x atum:nebu_drop').withChance(0.5)], 
            input: 'emendatusenigmatica:nebu_crushed',
            id: 'nebu_drop'
        },
        {
            output: 'atum:emmer_dough', 
            input: 'atum:emmer_flour',
            id: 'emmer_dough'
        }
    ];

    metals.forEach(metal => {
        var crushed = itemOf(`#create:crushed_ores/${metal}`);
        var nugget = itemOf(`#forge:nuggets/${metal}`);
        if(crushed!=null && nugget!=null){
            event.recipes.create.splashing(
                [Item.of(nugget,10),Item.of(nugget,5).withChance(0.5)], crushed
            ).id(`create:splashing/crushed_${metal}_ore`);
        }
    });

    recipes.forEach((recipe) => {
        event.recipes.create.splashing(recipe.output, recipe.input).id(`${id_prefix}/${recipe.id}`);
    });

});